data{
  int<lower=0> N;
  int<lower=0,upper=1> QT[N];
  real herg[N];
  real cmax[N];
}

parameters{
  real b0;
  real<upper=0> b1;
  real<lower=0> b2;
  real b3;
}

transformed parameters {
  real theta[N];

  for(i in 1:N){
    theta[i] = b0 + b1*herg[i] + b2*cmax[i] + b3*herg[i]*cmax[i];
  }
}


model{
  b0 ~ normal(0, 10);
  b1 ~ normal(0, 10);
  b2 ~ normal(0, 10);
  b3 ~ normal(0, 10);

  QT ~ bernoulli_logit(theta);
}

generated quantities{
  vector[N] log_lik;

  for (i in 1:N){
    log_lik[i] = bernoulli_logit_lpmf(QT[i] | theta[i]);
  }
}
